CREATE TABLE grc_userdef_access_b_ (
    ID                       NUMBER(19, 0) ,
    REVISION_NUMBER          NUMBER(10, 0) ,
    EFFECTIVE_SEQUENCE       NUMBER(4, 0)  ,
    ACCESS_TYPE_ID           NUMBER(19, 0) ,
    DATASOURCE_ID            NUMBER(19, 0) ,
    STATE_CODE               VARCHAR2(120) ,
    STATUS                   VARCHAR2(120) ,
    REVISION_DATE            TIMESTAMP(6)  ,
    EFFECTIVE_DATE           DATE          ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    ID                       NUMBER(19, 0) ,
    REVISION_NUMBER          NUMBER(10, 0) ,
    EFFECTIVE_SEQUENCE       NUMBER(4, 0)  ,
    ACCESS_TYPE_ID           NUMBER(19, 0) ,
    DATASOURCE_ID            NUMBER(19, 0) ,
    STATE_CODE               VARCHAR2(120) ,
    STATUS                   VARCHAR2(120) ,
    REVISION_DATE            TIMESTAMP(6)  ,
    EFFECTIVE_DATE           DATE          ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    CONSTRAINT pk_grc_userdef_access_b_ PRIMARY KEY (ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
